routes/web.php
<?php

use App\Http\Controllers\ApiController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\PlanController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\UnitController;
use App\Http\Controllers\WorkController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'auth'] , function () {

    Route::group(['prefix' => 'categories'], function () {

        Route::get('/', [CategoryController::class, 'index'])->name('cat.index');

        Route::get('/create', [CategoryController::class, 'create'])->name('cat.create');
        Route::post('/create', [CategoryController::class, 'store'])->name('cat.store');

        Route::get('/{id}', [CategoryController::class, 'show'])->name('cat.show');

        Route::get('/{id}/edit', [CategoryController::class, 'edit'])->name('cat.edit');
        Route::put('/{id}/update', [CategoryController::class, 'update'])->name('cat.update');

        Route::delete('/{id}', [CategoryController::class, 'destroy'])->name('cat.destroy');
    });

    Route::group(['prefix' => 'products'], function () {

        Route::get('/', [ProductController::class, 'index'])->name('prd.index');

        Route::get('/create', [ProductController::class, 'create'])->name('prd.create');
        Route::post('/create', [ProductController::class, 'store'])->name('prd.store');

        Route::get('/{id}', [ProductController::class, 'show'])->name('prd.show');

        Route::get('/{id}/edit', [ProductController::class, 'edit'])->name('prd.edit');
        Route::put('/{id}/update', [ProductController::class, 'update'])->name('prd.update');

        Route::delete('/{id}', [ProductController::class, 'destroy'])->name('prd.destroy');
    });

    Route::group(['prefix' => 'plans'], function () {

        Route::get('/', [PlanController::class, 'index'])->name('plan.index');

        Route::get('/create', [PlanController::class, 'create'])->name('plan.create');
        Route::get('/base', [PlanController::class, 'base'])->name('plan.base');
        Route::post('/create', [PlanController::class, 'store'])->name('plan.store');

        Route::get('/{id}', [PlanController::class, 'show'])->name('plan.show');

        Route::get('/{id}/edit', [PlanController::class, 'edit'])->name('plan.edit');
        Route::put('/{id}/update', [PlanController::class, 'update'])->name('plan.update');

        Route::get('/{id}/export', [PlanController::class, 'export'])->name('plan.export');
        Route::get('/{id}/clone', [PlanController::class, 'replicate'])->name('plan.replicate');

        Route::delete('/{id}', [PlanController::class, 'destroy'])->name('plan.destroy');
    });

    Route::group(['prefix' => 'units'], function () {

        Route::get('/', [UnitController::class, 'index'])->name('unit.index');

        Route::get('/create', [UnitController::class, 'create'])->name('unit.create');
        Route::post('/create', [UnitController::class, 'store'])->name('unit.store');

        Route::get('/{id}', [UnitController::class, 'show'])->name('unit.show');

        Route::get('/{id}/edit', [UnitController::class, 'edit'])->name('unit.edit');
        Route::put('/{id}/update', [UnitController::class, 'update'])->name('unit.update');

        Route::delete('/{id}', [UnitController::class, 'destroy'])->name('unit.destroy');
    });

    Route::group(['prefix' => 'works'], function () {

        Route::get('/', [WorkController::class, 'index'])->name('work.index');

        Route::get('/create', [WorkController::class, 'create'])->name('work.create');
        Route::post('/create', [WorkController::class, 'store'])->name('work.store');

        Route::get('/{id}', [WorkController::class, 'show'])->name('work.show');

        Route::get('/{id}/edit', [WorkController::class, 'edit'])->name('work.edit');
        Route::put('/{id}/update', [WorkController::class, 'update'])->name('work.update');

        Route::delete('/{id}', [WorkController::class, 'destroy'])->name('work.destroy');
    });

    Route::group(['prefix' => 'api'], function () {
        Route::get('/categories/{id}', [ApiController::class, 'category']);
        Route::get('/products/{id}', [ApiController::class, 'product']);
        Route::get('/works/{id}', [ApiController::class, 'work']);
    });
});

Route::any('/{any}', function () {
    return redirect('/plans');
})->where('any', '.*');

app/Models/Work.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Work extends Model
{
    use HasFactory;

    protected $attributes = array(
        'price' => 0,
        'price_vat' => 0,
    );

    protected $fillable = [
        'name',
        'category_id',
        'unit_id',
        'short_form',
        'prime_cost',
        'price',
        'price_vat',
        'surcharge',
        'active'
    ];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function unit()
    {
        return $this->belongsTo(Unit::class);
    }

    public function plans()
    {
        return $this->belongsToMany(Plan::class)
            ->withPivot('quantity');
    }

    public function products()
    {
        return $this->belongsToMany(Product::class);
    }

    public function getPrimeCostAttribute() {
        return number_format($this->attributes['prime_cost'] / 100, 2);
    }

    public function setPrimeCostAttribute($val) {
        $this->attributes['prime_cost'] = $val * 100;
    }


    public function getPriceAttribute() {
        return number_format($this->attributes['price'], 2);
    }

    /**
     * Get real price without 21%
     * @param $val
     */
    public function setPriceAttribute($val) {
        $this->attributes['price'] = $val + $this->attributes['surcharge'] / 100 * $val;
    }

    /**
     * Get real price with 21% and surcharge
     * @param $val
     */
    public function setPriceVatAttribute($val) {
        $this->attributes['price_vat'] = ($val + $this->attributes['surcharge'] / 100 * $val) * 1.21;
    }

    /**
     * Get full price attribute
     * @return float|int
     */
    public function getFullPriceAttribute()
    {
        return $this->price * $this->pivot->quantity;
    }
}

resources/views/export.blade.php
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <style>
        * {
            font-family:"DeJaVu Sans Mono",monospace;
            font-size: 10px;
        }
        .bg-default {
            background: linear-gradient(87deg, #5e72e4 0, #825ee4 100%);
        }
        .main-content {
            position: relative;
        }
        .header {
            position: relative;
        }
        .bg-gradient-primary
        {
            background: linear-gradient(87deg, #5e72e4 0, #825ee4 100%);
        }
        .table {
            border-collapse:collapse;
        }
        .plan-table {
            font-family: Arial, Helvetica, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }
        .plan-table td, .plan-table th {
            border: 1px solid #1f2024;
            padding: 0 3px 0 3px;
        }
        .plan-table th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #114d65;
            color: white;
        }
        .info-table td, info-table tr {
            padding: 0;
            margin: 0;
        }
        .category-color {
            color: white;
            background-color: #15607e;
            font-size: 12px;
        }
        .page-break {
            page-break-after: always;
        }
        .row-work td {
            background-color: #e6e4e5;
            font-size: 9px;
        }
        .row-data td{
            font-size: 9px;
        }
        h2 {
            font-size: 20px;
            background-color: #e4e4e4;
        }
        th {
            font-size: 11px;
        }
        p, b {
            font-size: 12px;
        }
        .column {
            float: left;
            padding: 10px;
        }
        .left {
            width: 30%;
        }
        .right {
            width: 30%;
        }
        .middle {
            width: 30%;
        }
        .row:after {
            content: "";
            display: table;
            clear: both;
        }
        .divider-form-lg {
            overflow: hidden;
            height: 0;
            margin: 2rem 0;
        }
        .divider-form-sm {
            overflow: hidden;
            height: 0;
            margin: .5rem 0;
        }
        .image-border {
            background-color: #e4e4e4;
        }
        .text-p {
            font-size: 10px;
            height: 60px;
            overflow: hidden;
            padding-bottom: 0;
            padding-left: 0;
            padding-right: 0;
            margin-bottom: 0;
            margin-left: 0;
            margin-right: 0;
        }
    </style>
</head>
<body class="bg-default">

<div class="main-content">
    <div class="header bg-gradient-primary">
        <div class="row">
            <div class="col">
                <div class="card">
                    <div class="card-header border-0">
                        <h2 class="mb-0">{{ __('Plan structure') }}
                            <img width="25%" style="margin-left: 15%" src="{{ asset('/assets/img/brand/anvi.png') }}"/>
                        </h2>
                    </div>
                    <table>
                        <tr>
                            <td><b>Anvi projektai, UAB</b></td>
                        </tr>
                        <tr>
                            <td><b>Įm.k.: </b>303778899, <b>PVM mok.k. </b>LT100009199018</td>
                        </tr>
                        <tr>
                            <td><b>Tel. numeris: </b>+370 673 72 168, <b>El. paštas: </b>info@anviprojektai.lt</td>
                        </tr>
                        <tr>
                            <td><b>Adresas: </b>Piliakalnio g. 43, LT-46227 Kaunas, Lietuva</td>
                        </tr>
                    </table>
                    <div class="divider-form-lg"></div>
                    <p><b>Projektas: </b>{{ $plan->project_name }}</p>
                    <p><b>{{ __('Data:') }}</b> {{ date('Y-m-d H:i:s') }}</p>
                    <div class="row">
                        <div class="column left" style="background-color:#ccc;">
                            <table>
                                <tr>
                                    <td><b>{{ __('Rooms count') }}:</b></td>
                                    <td>{{ $plan->room_count }}</td>
                                </tr>
                                <tr>
                                    <td><b>{{ __('Rooms squares') }}:</b></td>
                                    <td>{{ $plan->rooms_squares }}m<sup>2</sup></td>
                                </tr>
                                <tr>
                                    <td><b>{{ __('Bath/WC squares') }}:</b></td>
                                    <td>{{ $plan->bath_squares }}m<sup>2</sup></td>
                                </tr>
                            </table>
                        </div>
                        <div class="column middle"></div>
                        <div class="column right" style="background-color:#ccc;">
                            <table>
                                <tr>
                                    <td><b>{{ __('Total sum') }}:</b></td>
                                    <td>{{ $plan->sum }}&euro;</td>
                                </tr>
                                <tr>
                                    <td><b>{{ __('Total sum (VAT)') }}:</b> </td>
                                    <td>{{ $plan->sum_vat }}&euro;</td>
                                </tr>
                                <tr>
                                    <td><b>1m<sup>2</sup> {{ __('price (VAT)') }}:</b></td>
                                    <td>{{ $plan->square_price }}&euro;</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="divider-form-sm"></div>
                    <div class="plan-table">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th>{{ __('Nr.') }}</th>
                                <th>{{ __('Work/material name') }}</th>
                                <th>{{ __('Unit me.') }}</th>
                                <th>{{ __('Quantity') }}</th>
                                <th>{{ __('Work price') }}</th>
                                <th>{{ __('Un. price') }}</th>
                                <th>{{ __('Sum price') }}</th>
                                <th>{{ __('Sum full price') }}</th>
                            </tr>
                            </thead>
                            <tbody class="list">
                            <tbody id="plan-table-content">
                            @php($count=0)
                            @foreach($catsWorksProducts as $category => $categoryWorks)
                                <tr class="category-row">
                                    <td colspan="8" class="category-color">{{ $category }}</td>
                                </tr>
                                @php($sum=0)
                                @foreach($categoryWorks as $work => $workProducts)
                                    @php($count++)
                                    <tr class="row-work">
                                        <td style="width: 5%">{{ $count }}</td>
                                        <td style="width: 35%">
                                            <div class="media align-items-center">
                                                <div class="media-body">
                                                    <span class="name mb-0 text-sm">{{ $works[$work]->name }}</span>
                                                </div>
                                            </div>
                                        </td>
                                        <td style="width: 5%">
                                            <div class="media align-items-center">
                                                <div class="media-body">
                                                    <span class="name mb-0 text-sm">{{ $works[$work]->unit->short_form }}</span>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="media align-items-center">
                                                <div class="media-body">
                                                    <span class="name mb-0 text-sm">{{ $works[$work]->pivot->quantity }}</span>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="media align-items-center">
                                                <div class="media-body">
                                                    <span class="name mb-0 text-sm work-price">{{ $works[$work]->price }}&euro;</span>
                                                </div>
                                            </div>
                                        </td>
                                        <td></td>
                                        <td scope="row">
                                            <div class="media align-items-center">
                                                <div class="media-body">
                                                    <span class="name mb-0 text-sm value">{{ number_format($works[$work]->full_price, 2) }}&euro;</span>
                                                </div>
                                            </div>
                                        </td>
                                        <td scope="row">
                                            <div class="media align-items-center">
                                                <div class="media-body">
                                                    <span class="name mb-0 text-sm sum">{{ $workSums[$work] }}&euro;</span>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    @foreach($workProducts as $product)
                                        <tr class="row-data">
                                            <td></td>
                                            <td>{{ $product->name }}</td>
                                            <td></td>
                                            <td>{{ $product->pivot->quantity == 0 ? number_format($works[$work]->pivot->quantity * $product->units_per_square, 2) : $product->pivot->quantity }}</td>
                                            <td></td>
                                            <td>
                                                <div class="media align-items-center">
                                                    <div class="media-body">
                                                        <span class="name mb-0 text-sm">{{ $product->price }}&euro;</span>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="media align-items-center">
                                                    <div class="media-body">
                                                        {{ $product->full_price }}&euro;
                                                    </div>
                                                </div>
                                            </td>
                                            <td></td>
                                        </tr>
                                    @endforeach
                                @endforeach
                            @endforeach
                            </tbody>
                        </table>
                        @if(!$images->isEmpty())
                            <div class="page-break"></div>
                            <h2>
                                {{ __('Substances') }}
                                <img width="25%" style="margin-left: 56%" src="{{ asset('/assets/img/brand/anvi.png') }}"/>
                            </h2>
                            <table>
                                @foreach($images->chunk(3) as $imagesChunk)
                                    <tr>
                                        @foreach($imagesChunk as $image)
                                            <td style="padding: 8px" class="image-border">
                                                <img width="215px" src="{{ asset($image['image_path']) }}"/>
                                                <p class="text-p">{{ $image['description'] }}</p>
                                            </td>
                                        @endforeach
                                    </tr>
                                @endforeach
                            </table>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>

resources/views/modal.blade.php
<div id="DeleteModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-dialog-centered justify-content-center">
        <form action="" id="deleteForm" method="post">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 id="deleteInfo" class="modal-title text-center"></h5>
                </div>
                <div class="modal-body">
                    @method('DELETE')
                    @csrf
                    <p class="text-center">{{ __('Operation will be irreversible!') }}</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">{{ __('Cancel') }}</button>
                    <button type="submit" name="" class="btn btn-success" data-dismiss="modal"
                            onclick="formSubmit()">{{ __('Yes, Delete') }}</button>
                </div>
            </div>
        </form>
    </div>
</div>